package composite;

import java.util.*;

public class ComputerBuilderApp {

	public static void main(String[] args) {

		Composite computer = new Composite("Computer");
		
		listEachComponent(computer,0);
	}

	// Recursive method that iterates through the entire hierarchy starting 
	// at a specific node
	// @node - the node to begin at
	// @level - the level of indentation
	public static void listEachComponent(Component node, int level) {
		for( int l=0;l<level; l++)
			System.out.print("    ");
		System.out.println("START: " + node );

		//TODO: complete this method, avoiding the use of if() or instanceof
		// to determine whether node is a Part or a Composite, and then determine
		// the total weight, cost, or power requirement for the entire system.

		for( int l=0;l<level; l++)
			System.out.print("    ");
		System.out.println("END: " + node);
	}

}

